net.dontdrinkandroot.utils.pair

## Class Pair<T extends Serializable>

- java.lang.Object
- - net.dontdrinkandroot.utils.pair.Pair<T>

All Implemented Interfaces:
  Serializable, Iterable<T>

    public class Pair<T extends Serializable>
    extends Object
    implements Serializable, Iterable<T>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Pair()`
`Pair(T first, T second)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`T` `getFirst()`
`T` `getSecond()`
`int` `hashCode()`
`Iterator<T>` `iterator()`
`void` `setFirst(T first)`
`void` `setSecond(T second)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pair

    public Pair()

#### Pair

    public Pair(T first,
        T second)

### Method Detail

#### getFirst

    public T getFirst()

#### setFirst

    public void setFirst(T first)

#### getSecond

    public T getSecond()

#### setSecond

    public void setSecond(T second)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### iterator

    public Iterator<T> iterator()

Specified by:
  `iterator` in interface `Iterable<T extends Serializable>`